### Function

# Ide PtyIntercept create_master

#### Declaration

    IdePtyFd
    ide_pty_intercept_create_master (
      void
    )

#### Description

Creates a new PTY master using posix_openpt(). Some fallbacks are provided for non-Linux systems where O_CLOEXEC and O_NONBLOCK may not be supported.

Available since: | 3.32

#### Return value

Returns: | `IdePtyFd`
| A FD that should be closed with `close()` if successful. Upon error, `IDE_PTY_FD_INVALID` (-1) is returned.